#specfile

Name:           ssr
Version:        0.3.8
Release:        %mkrel 2
License:        GPL-3.0+
Summary:        A feature-rich screen recorder that supports X11 and OpenGL
Url:            http://www.maartenbaert.be/simplescreenrecorder
Group:          Video
Source:         https://github.com/MaartenBaert/ssr/tarball/%{name}-%{version}.tar.xz
Patch0:         simplescreenrecorder-0.3.1-fix-filenames-with-percent.patch
Patch1:         simplescreenrecorder-0.3.6-fix-missing-incude-random.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#----------------------------------------
BuildRequires: hicolor-icon-theme
BuildRequires: desktop-file-utils
BuildRequires: libalsa2-devel
BuildRequires: libffmpeg-devel
BuildRequires: libjack-devel
BuildRequires: libmesaglu1-devel 
BuildRequires: libpulseaudio-devel
BuildRequires: libqt5core-devel 
BuildRequires: libqt5gui-devel
BuildRequires: libqt5widgets-devel 
BuildRequires: libqt5x11extras-devel 
BuildRequires: libx11-devel 
BuildRequires: libxext-devel 
BuildRequires: libxfixes-devel 
BuildRequires: libxi-devel 
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel
#----------------------------------------
Obsoletes: simplescreenrecorder
Provides: simplescreenrecorder = %version-%release


%description
SimpleScreenRecorder (ssr) is a Linux program that was created to record programs
and games.

The original goal was to create a program that was just really simple to
use, the result is actually a pretty powerful program. It's 'simple' in
the sense that it's easier to use than ffmpeg/avconv or VLC, because it
has a straightforward user interface.

%prep
%setup -q
%apply_patches

pushd data/output-profiles
  mv High\%20Quality\%20Intermediate.conf HighQualityIntermediate.conf
  mv Live\%20Stream\%20\%281000kbps\%29.conf LiveStream1000kbps.conf
  mv Live\%20Stream\%20\%282000kbps\%29.conf LiveStream2000kbps.conf
  mv Live\%20Stream\%20\%283000kbps\%29.conf LiveStream3000kbps.conf
popd

%build
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
%configure2_5x --with-qt5
%make

%install
rm -rf %{buildroot}
%make_install

find %{buildroot} -name "*.la" -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%defattr(-,root,root)
%doc COPYING *.txt README.md
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}
%{_libdir}/libssr-glinject.*

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Jun 18 2017 adrianomorselli <adrianomorselli> 0.3.8-2uplos2017
- rebuild new ffmpeg
